### Method

# FwupdPlugin I2cDevice set_address

#### Declaration [src]

    gboolean
    fu_i2c_device_set_address (
      FuI2cDevice* self,
      guint8 address,
      gboolean force,
      GError** error
    )

#### Description [src]

Sets the I²C device address.

Available since: | 2.0.0

#### Parameters

`address` | `guint8`
| Address.
`force` | `gboolean`
| Force the address, even if the device is device is busy (typically with a kernel driver)
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.